Index: issm/trunk/src/c/solutions/diagnostic_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/diagnostic_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/diagnostic_core.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "../include/include.h"
 
Index: issm/trunk/src/c/solutions/diagnostic_core_linear.cpp
===================================================================
--- issm/trunk/src/c/solutions/diagnostic_core_linear.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/diagnostic_core_linear.cpp	(revision 3913)
@@ -6,5 +6,5 @@
 #include "../objects/objects.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 void diagnostic_core_linear(Vec* pug,FemModel* fem,int analysis_type,int sub_analysis_type){
Index: issm/trunk/src/c/solutions/diagnostic_core_nonlinear.cpp
===================================================================
--- issm/trunk/src/c/solutions/diagnostic_core_nonlinear.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/diagnostic_core_nonlinear.cpp	(revision 3913)
@@ -6,5 +6,5 @@
 #include "../objects/objects.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 
Index: issm/trunk/src/c/solutions/gradjcompute_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/gradjcompute_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/gradjcompute_core.cpp	(revision 3913)
@@ -3,5 +3,5 @@
  */ 
 
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/solutions/objectivefunctionC.cpp
===================================================================
--- issm/trunk/src/c/solutions/objectivefunctionC.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/objectivefunctionC.cpp	(revision 3913)
@@ -3,5 +3,5 @@
  */ 
 
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/solutions/prognostic.cpp
===================================================================
--- issm/trunk/src/c/solutions/prognostic.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/prognostic.cpp	(revision 3913)
@@ -14,5 +14,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../include/include.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 
Index: issm/trunk/src/c/solutions/prognostic2.cpp
===================================================================
--- issm/trunk/src/c/solutions/prognostic2.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/prognostic2.cpp	(revision 3913)
@@ -14,5 +14,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../include/include.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 
Index: issm/trunk/src/c/solutions/prognostic2_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/prognostic2_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/prognostic2_core.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* prognostic2_core(Model* model){
Index: issm/trunk/src/c/solutions/prognostic_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/prognostic_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/prognostic_core.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* prognostic_core(Model* model){
Index: issm/trunk/src/c/solutions/slope_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/slope_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/slope_core.cpp	(revision 3913)
@@ -7,5 +7,5 @@
 #include "../objects/objects.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 void slope_core(Vec* pslopex,Vec* pslopey,FemModel* fem, int AnalysisEnum){
Index: issm/trunk/src/c/solutions/slopecompute_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/slopecompute_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/slopecompute_core.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* slopecompute_core(Model* model){
Index: issm/trunk/src/c/solutions/steadystate.cpp
===================================================================
--- issm/trunk/src/c/solutions/steadystate.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/steadystate.cpp	(revision 3913)
@@ -14,5 +14,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../include/include.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 
Index: issm/trunk/src/c/solutions/steadystate_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/steadystate_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/steadystate_core.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* steadystate_core(Model* model){
Index: issm/trunk/src/c/solutions/thermal.cpp
===================================================================
--- issm/trunk/src/c/solutions/thermal.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/thermal.cpp	(revision 3913)
@@ -14,5 +14,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../include/include.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 
Index: issm/trunk/src/c/solutions/thermal_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/thermal_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/thermal_core.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* thermal_core(Model* model){
Index: issm/trunk/src/c/solutions/thermal_core_nonlinear.cpp
===================================================================
--- issm/trunk/src/c/solutions/thermal_core_nonlinear.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/thermal_core_nonlinear.cpp	(revision 3913)
@@ -6,5 +6,5 @@
 #include "../objects/objects.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 void thermal_core_nonlinear(Vec* ptg,double* pmelting_offset,FemModel* fem,int analysis_type,int sub_analysis_type){
Index: issm/trunk/src/c/solutions/transient.cpp
===================================================================
--- issm/trunk/src/c/solutions/transient.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/transient.cpp	(revision 3913)
@@ -14,5 +14,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "../include/include.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 #include "./solutions.h"
 
Index: issm/trunk/src/c/solutions/transient_core.cpp
===================================================================
--- issm/trunk/src/c/solutions/transient_core.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/transient_core.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* transient_core(Model* model){
Index: issm/trunk/src/c/solutions/transient_core_2d.cpp
===================================================================
--- issm/trunk/src/c/solutions/transient_core_2d.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/transient_core_2d.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* transient_core_2d(Model* model){
Index: issm/trunk/src/c/solutions/transient_core_3d.cpp
===================================================================
--- issm/trunk/src/c/solutions/transient_core_3d.cpp	(revision 3912)
+++ issm/trunk/src/c/solutions/transient_core_3d.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./solutions.h"
-#include "../modules.h"
+#include "../modules/modules.h"
 
 DataSet* transient_core_3d(Model* model){
Index: issm/trunk/src/mex/AverageFilter/AverageFilter.h
===================================================================
--- issm/trunk/src/mex/AverageFilter/AverageFilter.h	(revision 3912)
+++ issm/trunk/src/mex/AverageFilter/AverageFilter.h	(revision 3913)
@@ -11,5 +11,5 @@
 void AverageFilterUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Bamg/Bamg.h
===================================================================
--- issm/trunk/src/mex/Bamg/Bamg.h	(revision 3912)
+++ issm/trunk/src/mex/Bamg/Bamg.h	(revision 3913)
@@ -9,5 +9,5 @@
 void BamgUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/BamgConvertMesh/BamgConvertMesh.h
===================================================================
--- issm/trunk/src/mex/BamgConvertMesh/BamgConvertMesh.h	(revision 3912)
+++ issm/trunk/src/mex/BamgConvertMesh/BamgConvertMesh.h	(revision 3913)
@@ -9,5 +9,5 @@
 void BamgConvertMeshUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/BuildNodeSets/BuildNodeSets.h
===================================================================
--- issm/trunk/src/mex/BuildNodeSets/BuildNodeSets.h	(revision 3912)
+++ issm/trunk/src/mex/BuildNodeSets/BuildNodeSets.h	(revision 3913)
@@ -11,5 +11,5 @@
 void BuildNodeSetsUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ComputeBasalStress/ComputeBasalStress.h
===================================================================
--- issm/trunk/src/mex/ComputeBasalStress/ComputeBasalStress.h	(revision 3912)
+++ issm/trunk/src/mex/ComputeBasalStress/ComputeBasalStress.h	(revision 3913)
@@ -9,5 +9,5 @@
 void ComputeBasalStressUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ComputePressure/ComputePressure.h
===================================================================
--- issm/trunk/src/mex/ComputePressure/ComputePressure.h	(revision 3912)
+++ issm/trunk/src/mex/ComputePressure/ComputePressure.h	(revision 3913)
@@ -9,5 +9,5 @@
 void ComputePressureUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ConfigureObjects/ConfigureObjects.h
===================================================================
--- issm/trunk/src/mex/ConfigureObjects/ConfigureObjects.h	(revision 3912)
+++ issm/trunk/src/mex/ConfigureObjects/ConfigureObjects.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ConfigureObjectsUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ContourToMesh/ContourToMesh.h
===================================================================
--- issm/trunk/src/mex/ContourToMesh/ContourToMesh.h	(revision 3912)
+++ issm/trunk/src/mex/ContourToMesh/ContourToMesh.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ContourToMeshUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ContourToNodes/ContourToNodes.h
===================================================================
--- issm/trunk/src/mex/ContourToNodes/ContourToNodes.h	(revision 3912)
+++ issm/trunk/src/mex/ContourToNodes/ContourToNodes.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ContourToNodesUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ControlConstrain/ControlConstrain.h
===================================================================
--- issm/trunk/src/mex/ControlConstrain/ControlConstrain.h	(revision 3912)
+++ issm/trunk/src/mex/ControlConstrain/ControlConstrain.h	(revision 3913)
@@ -10,5 +10,5 @@
 void ControlConstrainUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ControlOptimization/ControlOptimization.h
===================================================================
--- issm/trunk/src/mex/ControlOptimization/ControlOptimization.h	(revision 3912)
+++ issm/trunk/src/mex/ControlOptimization/ControlOptimization.h	(revision 3913)
@@ -9,5 +9,5 @@
 void ControlOptimizationUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/CostFunction/CostFunction.h
===================================================================
--- issm/trunk/src/mex/CostFunction/CostFunction.h	(revision 3912)
+++ issm/trunk/src/mex/CostFunction/CostFunction.h	(revision 3913)
@@ -9,5 +9,5 @@
 void CostFunctionUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/DepthAverageInput/DepthAverageInput.h
===================================================================
--- issm/trunk/src/mex/DepthAverageInput/DepthAverageInput.h	(revision 3912)
+++ issm/trunk/src/mex/DepthAverageInput/DepthAverageInput.h	(revision 3913)
@@ -9,5 +9,5 @@
 void DepthAverageInputUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Dof/Dof.h
===================================================================
--- issm/trunk/src/mex/Dof/Dof.h	(revision 3912)
+++ issm/trunk/src/mex/Dof/Dof.h	(revision 3913)
@@ -11,5 +11,5 @@
 void DofUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Du/Du.h
===================================================================
--- issm/trunk/src/mex/Du/Du.h	(revision 3912)
+++ issm/trunk/src/mex/Du/Du.h	(revision 3913)
@@ -9,5 +9,5 @@
 void DuUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Echo/Echo.h
===================================================================
--- issm/trunk/src/mex/Echo/Echo.h	(revision 3912)
+++ issm/trunk/src/mex/Echo/Echo.h	(revision 3913)
@@ -9,5 +9,5 @@
 void EchoUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ElementConnectivity/ElementConnectivity.h
===================================================================
--- issm/trunk/src/mex/ElementConnectivity/ElementConnectivity.h	(revision 3912)
+++ issm/trunk/src/mex/ElementConnectivity/ElementConnectivity.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ElementConnectivityUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ExtrudeInput/ExtrudeInput.h
===================================================================
--- issm/trunk/src/mex/ExtrudeInput/ExtrudeInput.h	(revision 3912)
+++ issm/trunk/src/mex/ExtrudeInput/ExtrudeInput.h	(revision 3913)
@@ -9,5 +9,5 @@
 void ExtrudeInputUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/FieldAverageOntoVertices/FieldAverageOntoVertices.h
===================================================================
--- issm/trunk/src/mex/FieldAverageOntoVertices/FieldAverageOntoVertices.h	(revision 3912)
+++ issm/trunk/src/mex/FieldAverageOntoVertices/FieldAverageOntoVertices.h	(revision 3913)
@@ -11,5 +11,5 @@
 void FieldAverageOntoVerticesUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/FieldDepthAverage/FieldDepthAverage.h
===================================================================
--- issm/trunk/src/mex/FieldDepthAverage/FieldDepthAverage.h	(revision 3912)
+++ issm/trunk/src/mex/FieldDepthAverage/FieldDepthAverage.h	(revision 3913)
@@ -11,5 +11,5 @@
 void FieldDepthAverageUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/FieldExtrude/FieldExtrude.h
===================================================================
--- issm/trunk/src/mex/FieldExtrude/FieldExtrude.h	(revision 3912)
+++ issm/trunk/src/mex/FieldExtrude/FieldExtrude.h	(revision 3913)
@@ -11,5 +11,5 @@
 void FieldExtrudeUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/GetSolutionFromInputs/GetSolutionFromInputs.h
===================================================================
--- issm/trunk/src/mex/GetSolutionFromInputs/GetSolutionFromInputs.h	(revision 3912)
+++ issm/trunk/src/mex/GetSolutionFromInputs/GetSolutionFromInputs.h	(revision 3913)
@@ -9,5 +9,5 @@
 void GetSolutionFromInputsUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Gradj/Gradj.h
===================================================================
--- issm/trunk/src/mex/Gradj/Gradj.h	(revision 3912)
+++ issm/trunk/src/mex/Gradj/Gradj.h	(revision 3913)
@@ -9,5 +9,5 @@
 void GradjUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/HoleFiller/HoleFiller.h
===================================================================
--- issm/trunk/src/mex/HoleFiller/HoleFiller.h	(revision 3912)
+++ issm/trunk/src/mex/HoleFiller/HoleFiller.h	(revision 3913)
@@ -11,5 +11,5 @@
 void HoleFillerUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/InterpFromGridToMesh/InterpFromGridToMesh.h
===================================================================
--- issm/trunk/src/mex/InterpFromGridToMesh/InterpFromGridToMesh.h	(revision 3912)
+++ issm/trunk/src/mex/InterpFromGridToMesh/InterpFromGridToMesh.h	(revision 3913)
@@ -9,5 +9,5 @@
 void InterpFromGridToMeshUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/InterpFromMeshToGrid/InterpFromMeshToGrid.h
===================================================================
--- issm/trunk/src/mex/InterpFromMeshToGrid/InterpFromMeshToGrid.h	(revision 3912)
+++ issm/trunk/src/mex/InterpFromMeshToGrid/InterpFromMeshToGrid.h	(revision 3913)
@@ -11,5 +11,5 @@
 void InterpFromMeshToGridUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h
===================================================================
--- issm/trunk/src/mex/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h	(revision 3912)
+++ issm/trunk/src/mex/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h	(revision 3913)
@@ -9,5 +9,5 @@
 void InterpFromMeshToMesh2dUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.h
===================================================================
--- issm/trunk/src/mex/InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.h	(revision 3912)
+++ issm/trunk/src/mex/InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.h	(revision 3913)
@@ -9,5 +9,5 @@
 void InterpFromMeshToMesh3dUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/MassFlux/MassFlux.h
===================================================================
--- issm/trunk/src/mex/MassFlux/MassFlux.h	(revision 3912)
+++ issm/trunk/src/mex/MassFlux/MassFlux.h	(revision 3913)
@@ -11,5 +11,5 @@
 void MassFluxUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Mergesolutionfromftog/Mergesolutionfromftog.h
===================================================================
--- issm/trunk/src/mex/Mergesolutionfromftog/Mergesolutionfromftog.h	(revision 3912)
+++ issm/trunk/src/mex/Mergesolutionfromftog/Mergesolutionfromftog.h	(revision 3913)
@@ -11,5 +11,5 @@
 void MergesolutionfromftogUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/MeshPartition/MeshPartition.h
===================================================================
--- issm/trunk/src/mex/MeshPartition/MeshPartition.h	(revision 3912)
+++ issm/trunk/src/mex/MeshPartition/MeshPartition.h	(revision 3913)
@@ -11,5 +11,5 @@
 void MeshPartitionUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Misfit/Misfit.h
===================================================================
--- issm/trunk/src/mex/Misfit/Misfit.h	(revision 3912)
+++ issm/trunk/src/mex/Misfit/Misfit.h	(revision 3913)
@@ -9,5 +9,5 @@
 void MisfitUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ModelProcessor/ModelProcessor.h
===================================================================
--- issm/trunk/src/mex/ModelProcessor/ModelProcessor.h	(revision 3912)
+++ issm/trunk/src/mex/ModelProcessor/ModelProcessor.h	(revision 3913)
@@ -9,5 +9,5 @@
 void ModelProcessorUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/MpcNodes/MpcNodes.h
===================================================================
--- issm/trunk/src/mex/MpcNodes/MpcNodes.h	(revision 3912)
+++ issm/trunk/src/mex/MpcNodes/MpcNodes.h	(revision 3913)
@@ -11,5 +11,5 @@
 void MpcNodesUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/NodeConnectivity/NodeConnectivity.h
===================================================================
--- issm/trunk/src/mex/NodeConnectivity/NodeConnectivity.h	(revision 3912)
+++ issm/trunk/src/mex/NodeConnectivity/NodeConnectivity.h	(revision 3913)
@@ -11,5 +11,5 @@
 void NodeConnectivityUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/NormalizeConstraints/NormalizeConstraints.h
===================================================================
--- issm/trunk/src/mex/NormalizeConstraints/NormalizeConstraints.h	(revision 3912)
+++ issm/trunk/src/mex/NormalizeConstraints/NormalizeConstraints.h	(revision 3913)
@@ -9,5 +9,5 @@
 void NormalizeConstraintsUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Orth/Orth.h
===================================================================
--- issm/trunk/src/mex/Orth/Orth.h	(revision 3912)
+++ issm/trunk/src/mex/Orth/Orth.h	(revision 3913)
@@ -11,5 +11,5 @@
 void OrthUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/OutputRifts/OutputRifts.h
===================================================================
--- issm/trunk/src/mex/OutputRifts/OutputRifts.h	(revision 3912)
+++ issm/trunk/src/mex/OutputRifts/OutputRifts.h	(revision 3913)
@@ -11,5 +11,5 @@
 void OutputRiftsUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ParameterOutput/ParameterOutput.h
===================================================================
--- issm/trunk/src/mex/ParameterOutput/ParameterOutput.h	(revision 3912)
+++ issm/trunk/src/mex/ParameterOutput/ParameterOutput.h	(revision 3913)
@@ -9,5 +9,5 @@
 void ParameterOutputUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/PenaltyConstraints/PenaltyConstraints.h
===================================================================
--- issm/trunk/src/mex/PenaltyConstraints/PenaltyConstraints.h	(revision 3912)
+++ issm/trunk/src/mex/PenaltyConstraints/PenaltyConstraints.h	(revision 3913)
@@ -9,5 +9,5 @@
 void PenaltyConstraintsUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/PenaltySystemMatrices/PenaltySystemMatrices.h
===================================================================
--- issm/trunk/src/mex/PenaltySystemMatrices/PenaltySystemMatrices.h	(revision 3912)
+++ issm/trunk/src/mex/PenaltySystemMatrices/PenaltySystemMatrices.h	(revision 3913)
@@ -9,5 +9,5 @@
 void PenaltySystemMatricesUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/ProcessParams/ProcessParams.h
===================================================================
--- issm/trunk/src/mex/ProcessParams/ProcessParams.h	(revision 3912)
+++ issm/trunk/src/mex/ProcessParams/ProcessParams.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ProcessParamsUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.h
===================================================================
--- issm/trunk/src/mex/PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.h	(revision 3912)
+++ issm/trunk/src/mex/PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.h	(revision 3913)
@@ -11,5 +11,5 @@
 void PropagateFlagsFromConnectivityUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Qmu/Qmu.h
===================================================================
--- issm/trunk/src/mex/Qmu/Qmu.h	(revision 3912)
+++ issm/trunk/src/mex/Qmu/Qmu.h	(revision 3913)
@@ -11,5 +11,5 @@
 void QmuUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Reduceloadfromgtof/Reduceloadfromgtof.h
===================================================================
--- issm/trunk/src/mex/Reduceloadfromgtof/Reduceloadfromgtof.h	(revision 3912)
+++ issm/trunk/src/mex/Reduceloadfromgtof/Reduceloadfromgtof.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ReduceloadfromgtofUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Reducematrixfromgtof/Reducematrixfromgtof.h
===================================================================
--- issm/trunk/src/mex/Reducematrixfromgtof/Reducematrixfromgtof.h	(revision 3912)
+++ issm/trunk/src/mex/Reducematrixfromgtof/Reducematrixfromgtof.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ReducematrixfromgtofUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Reducevectorgtof/Reducevectorgtof.h
===================================================================
--- issm/trunk/src/mex/Reducevectorgtof/Reducevectorgtof.h	(revision 3912)
+++ issm/trunk/src/mex/Reducevectorgtof/Reducevectorgtof.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ReducevectorgtofUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/Reducevectorgtos/Reducevectorgtos.h
===================================================================
--- issm/trunk/src/mex/Reducevectorgtos/Reducevectorgtos.h	(revision 3912)
+++ issm/trunk/src/mex/Reducevectorgtos/Reducevectorgtos.h	(revision 3913)
@@ -11,5 +11,5 @@
 void ReducevectorgtosUsage(void);
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
Index: issm/trunk/src/mex/SetStructureField/SetStructureField.h
===================================================================
--- issm/trunk/src/mex/SetStructureField/SetStructureField.h	(revision 3912)
+++ issm/trunk/src/mex/SetStructureField/SetStructureField.h	(revision 3913)
@@ -13,5 +13,5 @@
 #define OUTPUTHANDLE plhs[0]
 
-#include "../../c/modules.h"
+#include "../../c/modules/modules.h"
 #include "../../c/DataSet/DataSet.h"
 #include "../../c/shared/shared.h"
